#pragma once

#pragma pack(push,1)	//アラインメント制御をオフ

struct VmdHeader {
	char vmdHeader[30];
	char vmdModelName[20];
};

struct VmdMotion {
	char boneName[15];
	unsigned long flameNo;
	float location[3];
	float rotation[4];
	unsigned char interpolation[64];
};

#pragma pack(pop)


class LoadVmd {
private:
	VmdHeader vmdHeader;
	vector<VmdMotion> vmdMotions;
public:
	LoadVmd(LPCTSTR filename);
	virtual ~LoadVmd();
	VmdHeader GetHeader();
	vector<VmdMotion> GetMotions();
};

